API Reference / Developer Get an application Returns one application that the caller can manage. The ETag header holds the application revision. Use this value in the If-Match header when you update or archive the application.
GET /api/v2/developer/apps/{appId}
Parameters # Property Type Location Description appIdstringRequired path-
Request # curl --request GET 'https://strave.gg/api/v2/developer/apps/APP_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ ownerobjectRequired - └ typestringRequired - └ idstringRequired - └ clientIdstringRequired - └ kindstringRequired - └ namestringRequired - └ descriptionstring | nullRequired - └ homepageUrlstring<uri> | nullRequired - └ iconUrlstring<uri> | nullRequired - └ statusstringRequired - └ revisionintegerRequired - └ createdAtstringRequired - └ updatedAtstringRequired -